
 // ------------ home page ------------------
 
 const char s_home[] = R"rawliteral(
 <html>
  <style>
   hr.solid {
     border-top: 3px solid #bbb;
   }
  </style>
  
  <body>
  <hr class="solid">
  <h3>Beacon Configuration at: b_time</h3>
  <hr class="solid">
  <br>
  <form action="/response">
    <label for="fname">SSID (max 31 chars)</label>
 <br>
    <input type="text" id="ssid_name" name="ssid_name" value="my_ssid">
  <br><br>
    <label for="lname">SSID Password (max 31 chars)</label><br>
    <input type="text" id="ssid_pwd" name="ssid_pwd" value="my_ssid_pwd"> 
    <br><br>
  <label for="lname">NTP Server IP address (max 31 chars)</label>
  <br>
    <input type="text" id="ntp_addr" name="ntp_addr" value="ntp_a"> 
    <br>
    <hr class="solid">
    <br>
    <label for="lname">WSPR Call (max 7 chars)</label>
  <br>
    <input type="text" id="wspr_call" name="wspr_call" value="w_call"> 
    <br><br>
    <label for="lname">WSPR Locator (max 4 chars)</label>
  <br>
    <input type="text" id="wspr_locator" name="wspr_locator" value="w_loc"> 
    <br><br>
    <label for="lname">WSPR dbm (max 2 chars)</label>
  <br>
    <input type="text" id="wspr_dbm" name="wspr_dbm" value="w_dbm"> 
    <br><br>
    <label for="lname">WSPR Minute (max 2 chars)</label>
  <br>
    <input type="text" id="wspr_min" name="wspr_min" value="w_min"> 
    <br>
    <hr class="solid">
    <br>
    <label for="lname">QRSS Message (max 19 chars)</label>
    <br>
    <input type="text" id="qrss_msg" name="qrss_msg" value="q_msg"> 
    <br><br>
    <label for="lname">QRSS/DFCW/FSKCW Minute (max 2 chars)</label>
    <br>
    <input type="text" id="qrss_min" name="qrss_min" value="q_min"> 
    <br><br>
    <label for="lname">QRSS Mode (2 chars -> 1, 3, 10, 30, 60)</label>
    <br>
    <input type="text" id="qrss_mmode" name="qrss_mode" value="q_mod"> 
    <hr class="solid">
    <br>
    <label for="lname">Opera Bins (239 chars) </label>
    <br>
    <input type="text" id="opera_bins" name="opera_bins" value="o_b"> 
    <br><br>
    <label for="lname">Opera Mode (1 char --> 1, 2, 4, 8) </label>
    <br>
    <input type="text" id="opera_mode" name="opera_mode" value="o_m"> 
    <br><br>
  <label for="lname">Opera Min (max 2 chars)</label>
    <br>
    <input type="text" id="opera_min" name="opera_min" value="o_min"> 
    <br>
    <hr class="solid">
    <br>
    <label for="lname">CW Key Mode (1 char, 0=Vert 1=Iambic)</label>
  <br>
    <input type="text" id="cw_key_mode" name="cw_key_mode" value="cw_k"> 
    <br><br>
    <label for="lname">CW Keyer Speed (max 2 chars)</label>
  <br>
    <input type="text" id="cw_speed" name="cw_speed" value="cw_s"> 
    <br><br>
  <label for="lname">CW Keyer Reverse (1 char 0=Norm, 1=Rev)</label>
  <br>
  <input type="text" id="cw_rev" name="cw_rev" value="cw_r"> 
  <br>
  <hr class="solid">
  <br>
  <label for="lname">TX Step (max 4 chars) </label>
  <br>
  <input type="text" id="tx_step" name="tx_step" value="tx_st"> 
  <br><br> 
  <label for="lname">TX Frequency (max 6 chars) </label>
  <br>
  <input type="text" id="tx_freq" name="tx_freq" value="tx_f"> 
  <br><br> 
  <label for="lname">Frequency Correction (max 7 chars) </label>
  <br>
  <input type="text" id="freq_cor" name="freq_cor" value="fr_c"> 
  <br><br> 
  <label for="lname">TX synch count NTP (max 5 chars) </label>
  <br>
  <input type="text" id="tx_sync" name="tx_sync" value="tx_s"> 
  
  <hr class="solid">
  <p><strong>Beacon Mode</strong></p>
  <input type="radio" id="mode_wspr" name="mode_type" value="mode_wspr" r_m_1> <label for="mode_wspr">WSPR</label> 
  <input type="radio" id="mode_qrss" name="mode_type" value="mode_qrss" r_m_2> <label for="mode_qrss">QRSS</label>
  <input type="radio" id="mode_dfcw" name="mode_type" value="mode_dfcw" r_m_3> <label for="mode_dfcw">DFCW</label>
  <input type="radio" id="mode_fskcw" name="mode_type" value="mode_fskcw" r_m_4> <label for="mode_fskcw">FSKCW</label>
  <input type="radio" id="mode_opera" name="mode_type" value="mode_opera" r_m_5> <label for="mode_opera">OPERA</label>
  <hr class="solid">
  <br>
  <hr class="solid">
  <p><strong>Select Action</strong></p>
  <input type="radio" id="get_data" name="op_type" value="get_data"> <label for="get_data">Get Configuration Data</label>
  <input type="radio" id="save_data" name="op_type" value="save_data" checked> <label for="save_data">Update Configuration Data</label>
  <hr class="solid">
  <br> 
  <input type="submit" value="Send Request">   
   </form> 
  </body>
  </html> 
 )rawliteral";

 
// --------- configuration updated -----------------

  const char config_updated[] = R"rawliteral(
    <!DOCTYPE html>
    <html>
    <body>
    <h3>The configuration data has been updated</h3>
    <br><br>
    <form action="/back">
      <input type="submit" value="Go Back">
    </form> 
    </body>
    </html>
  )rawliteral";

  
